#!/bin/bash

window=$1
output=""

if [ -z $window ]; then
  window=$(cat /dev/stdin)
  
  if [ -z $window ]; then 
    echo "no number supplied"
    exit 1
  fi
fi


while [ $window -gt 0 ]; do
  mod=$(( window % 3 ))

  if [ $mod -eq 0 ]; then
    window=$(( (window - 3) / 3 ))
  else
    window=$(( (window - mod) / 3 ))
  fi

  char=""
  case $mod in
    0) char="▌";;
    1) char="▖";;
    2) char="▘";;
  esac

  output="$char$output"
done

echo $output